Ruby 2.7.0p0(2019-12-25revision647ee6f091eafcce70ffb75ddf7e121e192ab217)

Data Fields
_OnigStackType Struct Reference

`#include <regint.h>`

## Data Fields
unsigned int | type
union {
struct {
UChar * pcode
UChar * pstr
UChar * pstr_prev
UChar * pkeep
} state
struct {
int count
UChar * pcode
int num
} repeat
struct {
OnigStackIndex si
} repeat_inc
struct {
int num
UChar * pstr
OnigStackIndex start
OnigStackIndex end
} mem
struct {
int num
UChar * pstr
} null_check
struct {
UChar * ret_addr
int num
UChar * pstr
} call_frame
struct {
UChar * abs_pstr
const UChar * end_pstr
} absent_pos
} | u

## Detailed Description

Definition at line 813 of file regint.h.

## Field Documentation

## ◆ abs_pstr

UChar* _OnigStackType::abs_pstr

Definition at line 852 of file regint.h.

## ◆ absent_pos

struct { ... } _OnigStackType::absent_pos

## ◆ call_frame

struct { ... } _OnigStackType::call_frame

## ◆ count

int _OnigStackType::count

Definition at line 826 of file regint.h.

## ◆ end

OnigStackIndex _OnigStackType::end

Definition at line 838 of file regint.h.

## ◆ end_pstr

const UChar* _OnigStackType::end_pstr

Definition at line 853 of file regint.h.

## ◆ mem

struct { ... } _OnigStackType::mem

## ◆ null_check

struct { ... } _OnigStackType::null_check

## ◆ num

int _OnigStackType::num

Definition at line 828 of file regint.h.

## ◆ pcode

UChar* _OnigStackType::pcode

Definition at line 817 of file regint.h.

## ◆ pkeep

UChar* _OnigStackType::pkeep

Definition at line 823 of file regint.h.

## ◆ pstr

UChar* _OnigStackType::pstr

Definition at line 818 of file regint.h.

## ◆ pstr_prev

UChar* _OnigStackType::pstr_prev

Definition at line 819 of file regint.h.

## ◆ repeat

struct { ... } _OnigStackType::repeat

## ◆ repeat_inc

struct { ... } _OnigStackType::repeat_inc

## ◆ ret_addr

UChar* _OnigStackType::ret_addr

Definition at line 846 of file regint.h.

## ◆ si

OnigStackIndex _OnigStackType::si

Definition at line 831 of file regint.h.

## ◆ start

OnigStackIndex _OnigStackType::start

Definition at line 837 of file regint.h.

## ◆ state

struct { ... } _OnigStackType::state

## ◆ type

unsigned int _OnigStackType::type

Definition at line 814 of file regint.h.

## ◆ u

union { ... } _OnigStackType::u

The documentation for this struct was generated from the following file:

- regint.h